#!/opt/alt/python37/bin/python3 -bb
# -*- coding: utf-8 -*-

#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT


# pylint: disable=no-absolute-import

import sys
from clwpos.optimization_modules import is_module_allowed_for_user
from clwpos.utils import install_monitoring_daemon, is_run_under_user, is_wpos_supported

if __name__ == "__main__":
    if not is_wpos_supported():
        sys.exit(0)
    if is_run_under_user():
        print("ERROR: CL WPOS daemon setup script should be run only under root")
        sys.exit(0)
    install_monitoring_daemon(is_module_allowed_for_user())

